<template>
  <ContentView :paddingH="false" class="expect-position-view">
    <PositionSelectView v-model="positionList" />
  </ContentView>
  <PageFooter>
    <div class="expect-position-page-footer">
      <div class="expect-position-select-wrapper" v-if="positionList.length > 0">
        <div class="expect-position-select-item" v-for="(item, index) in positionList" :key="index">
          <div class="expect-position-select-item-text">{{ item }}</div>
          <div class="expect-position-select-item-icon-wrapper">
            <Close :size="8" class="expect-position-select-item-icon" />
          </div>
        </div>
      </div>
      <PageFooterBtn type="primary">保存</PageFooterBtn>
    </div>
  </PageFooter>
</template>

<script setup lang="ts">
import { PositionSelectView } from '@12333/components';
import { Close } from '@nutui/icons-vue-taro';
import { size } from 'lodash';

defineOptions({
  name: 'InnerPage',
});

const positionList = ref([]);
</script>

<style lang="scss">
@import '@/styles/common.scss';

.expectPosition-page-wrapper {
  .expect-position-view {
    flex: 1;
    min-height: 0;

    .nut-category {
      height: 100%;
    }
  }

  .expect-position-page-footer {
    width: 100%;
    padding: 0 boleGetCssVar('size', 'body-padding-h');

    .page-footer-btn {
      margin: 0;
      width: 100%;
    }

    .expect-position-select-wrapper {
      display: flex;
      flex-wrap: wrap;
      margin-bottom: 40px;
      column-gap: 16px;
      row-gap: 24px;
      padding-top: 24px;

      .expect-position-select-item {
        display: flex;
        align-items: center;
        padding: 0 28px;
        height: 64px;
        border-radius: 32px;
        background-color: #f6faff;

        .expect-position-select-item-text {
          font-weight: 400;
          font-size: 24px;
          color: #536077;
          line-height: 24px;
        }

        .expect-position-select-item-icon-wrapper {
          padding: 8px;
          padding-right: 0;
          padding-left: 30px;
          display: flex;
          align-items: center;
        }

        .expect-position-select-item-icon {
          color: boleGetCssVar('text-color', 'secondary');
        }
      }
    }
  }
}
</style>
